Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Virtual Machine Scale Set VMs - Reimage All
- Service:
- Compute
- API Version:
- 2026-03-01
Allows you to re-image all the disks ( including data disks ) in the a VM scale set instance. This operation is only supported for managed disks.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{vmScaleSetName}/virtualMachines/{instanceId}/reimageall?api-version=2026-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
instanceId
|
path | True |
string |
The instance ID of the virtual machine. |
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscriptionId
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
vmScaleSetName
|
path | True |
string |
The name of the VM scale set. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| VirtualMachineScaleSetVM_ReimageAll_MaximumSet_Gen |
| VirtualMachineScaleSetVM_ReimageAll_MinimumSet_Gen |
VirtualMachineScaleSetVM_ReimageAll_MaximumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcompute/providers/Microsoft.Compute/virtualMachineScaleSets/aaaaaaaaaaaaaaaaaaaaaaaa/virtualMachines/aaaaaaaaaaaaaaaaaaa/reimageall?api-version=2026-03-01
Sample response
- Status code:
- 200
- Status code:
- 202
location: https://foo.com/operationstatus
VirtualMachineScaleSetVM_ReimageAll_MinimumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcompute/providers/Microsoft.Compute/virtualMachineScaleSets/aaaaaaaaaaaaaaaaaaaaaaaaa/virtualMachines/aaaaaaaaaaaaaaaaaaaaaaaaaaaa/reimageall?api-version=2026-03-01
Sample response
- Status code:
- 200
- Status code:
- 202
location: https://foo.com/operationstatus
Definitions
| Name | Description |
|---|---|
| ApiError |
Api error. |
| ApiErrorBase |
Api error base. |
| CloudError |
An error response from the Compute service. |
| InnerError |
Inner error details. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
